### Method

# Nautilus MenuProvider get_file_items

#### Declaration [src]

    GList*
    nautilus_menu_provider_get_file_items (
      NautilusMenuProvider* provider,
      GList* files
    )

#### Description

No description available.

#### Parameters

`files`

  Type: A list of `NautilusFileInfo*`

  A list of `NautilusFileInfo`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `NautilusMenuItem*`

The provided list of `NautilusMenuItem`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.